--- ocamldap-2.1.8.orig/debian/changelog
+++ ocamldap-2.1.8/debian/changelog
@@ -0,0 +1,249 @@
+ocamldap (2.1.8-8) unstable; urgency=low
+
+ [ Mehdi Dogguy ]
+ * Add ${ocaml:Provides} in debian/control
+
+ [ Sylvain Le Gall ]
+ * Put ocaml.mk at the beginning of debian/rules
+ * Protect .cmi(s) by moving and restoring during build process
+
+ -- Sylvain Le Gall <gildor@debian.org> Sat, 19 Dec 2009 23:08:33 +0000
+
+ocamldap (2.1.8-7) unstable; urgency=low
+
+ * Add myself to uploaders
+ * Change inclusion order in debian/rules to workaround a CDBS bug
+ * Move the package to section ocaml
+ * Remove old cmi files when cleaning (Closes: #549769)
+ * Upgrade Standards-Version to 3.8.3
+ * Use new features of dh-ocaml (>= 0.9)
+ - Generate documentation using dh_ocamldoc
+
+ -- Mehdi Dogguy <mehdi@debian.org> Thu, 08 Oct 2009 23:18:01 +0200
+
+ocamldap (2.1.8-6) unstable; urgency=low
+
+ [ Stefano Zacchiroli ]
+ * fix vcs-svn field to point just above the debian/ dir
+
+ [ Sylvain Le Gall ]
+ * Use ocaml 3.10.0-9 for generating .ocamldoc-apiref automatically
+ * Switch packaging to git
+ * Set maintainer to Debian OCaml Maintainers
+ * Add dh-ocaml build-dependency (rules/ocaml.mk)
+ * Upgrade debian/compat to 7 (use debian/clean)
+ * Upgrade Standards-Version to 3.8.0 (debian/README.source)
+ * Add Homepage field to debian/control
+ * Use OCAML_OCAMLDOC_* variables to generate documentatio
+ * Add ${misc:Depends} to dependencies
+ * Update debian/copyright file to use
+ http://wiki.debian.org/Proposals/CopyrightFormat
+ * Remove obsolete debian/control.in related variables and files
+
+ -- Sylvain Le Gall <gildor@debian.org> Thu, 05 Mar 2009 01:12:21 +0100
+
+ocamldap (2.1.8-5) unstable; urgency=low
+
+ * Build for ocaml 3.10.0
+ * Tighten build dependency for ocaml 3.10.0
+ * Move standard documentation to standard OCaml documentation place
+
+ -- Sylvain Le Gall <gildor@debian.org> Tue, 18 Sep 2007 11:10:01 +0200
+
+ocamldap (2.1.8-4) experimental; urgency=low
+
+ * Add missing dependency on ocaml-nox
+
+ -- Sylvain Le Gall <gildor@debian.org> Tue, 24 Jul 2007 01:31:38 +0200
+
+ocamldap (2.1.8-3) experimental; urgency=low
+
+ * Upgrade debian/watch version to 3,
+ * Upgrade debhelper debian/compat to 5,
+ * Use CDBS for debian/rules,
+ * Suppress dependency on libldap2-dev and chrpath, since package
+ doesn't depend on it anymore,
+ * Change email address to gildor@debian.org everywhere
+ * Change watch URL to sf.net
+ * Rebuild for ocaml 3.10.0
+
+ -- Sylvain Le Gall <gildor@debian.org> Tue, 24 Jul 2007 01:18:22 +0200
+
+ocamldap (2.1.8-2) unstable; urgency=low
+
+ * Removed control.in as per new ocaml policy.
+ * Add XS-X-Vcs-Svn in control,
+ * Rebuilt to fix dependency on pcre.cma (Closes: #387319)
+
+ -- Sylvain Le Gall <gildor@debian.org> Fri, 15 Sep 2006 00:10:29 +0200
+
+ocamldap (2.1.8-1) unstable; urgency=low
+
+ * New upstream release
+
+ -- Sylvain Le Gall <gildor@debian.org> Tue, 11 Jul 2006 23:18:43 +0200
+
+ocamldap (2.1.7-2) unstable; urgency=low
+
+ * Change my email address to gildor@debian.org,
+ * Upgrade standards version to 3.7.2 (no change),
+ * Made debian/control a PHONY target,
+
+ -- Sylvain Le Gall <gildor@debian.org> Tue, 13 Jun 2006 09:05:09 +0200
+
+ocamldap (2.1.7-1) unstable; urgency=low
+
+ * New upstream version
+
+ -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org> Tue, 7 Feb 2006 00:51:08 +0100
+
+ocamldap (2.1.6-2) unstable; urgency=low
+
+ * Rebuild for OCaml 3.09.1
+
+ -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org> Wed, 11 Jan 2006 00:03:44 +0100
+
+ocamldap (2.1.6-1) unstable; urgency=low
+
+ * New upstream release
+
+ -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org> Tue, 13 Dec 2005 01:07:22 +0100
+
+ocamldap (2.1.5-2) unstable; urgency=low
+
+ * Minor cosmetic changes to the rule files
+ * Remove hardcoded OCaml ABI
+
+ -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org> Fri, 2 Dec 2005 22:46:26 +0100
+
+ocamldap (2.1.5-1) unstable; urgency=low
+
+ * New upstream release
+ * Update information of copyright: new upstream website, license is LGPL
+ * Set doc-base section to Apps/Programming
+ * Update authors of doc-base
+ * Remove libldap-ocaml.dirs, since it is now useless
+ * Remove /usr/lib/ocaml/3.08.3/ from libldap-ocaml-dev.dirs (use ocamlfind
+ insteed)
+
+ -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org> Mon, 10 Oct 2005 21:46:15 +0200
+
+ocamldap (2.1.4-1) unstable; urgency=low
+
+ * New upstream release
+ * Transition to svn-buildpackage
+
+ -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org> Sun, 14 Aug 2005 02:23:27 +0200
+
+ocamldap (2.1.3-1) unstable; urgency=low
+
+ * New upstream release
+ * Migration to Standards-Version 3.6.2.0 (no change)
+ * Adapt the watch file so that it can be used by Debian QA
+ * Add dependency on libocaml-ssl-dev
+ * Remove the package libldap-ocaml: the library is now 100% pure OCaml
+ * Use "ocamlfind ocamldoc -package ssl" to generate the documentation
+ * Adpat debian/rules: removes the "mv" of the shared library (no more shared
+ library)
+
+ -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org> Fri, 22 Jul 2005 00:13:39 +0200
+
+ocamldap (1.6.5-3) unstable; urgency=medium
+
+ * Rebuild against ocamlnet 1.0
+
+ -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org> Mon, 18 Apr 2005 20:44:23 +0200
+
+ocamldap (1.6.5-2) unstable; urgency=medium
+
+ * Transition to ocaml 3.08.3 : depends on ocaml-nox-3.08.3
+
+ -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org> Wed, 30 Mar 2005 23:10:38 +0200
+
+ocamldap (1.6.5-1) unstable; urgency=low
+
+ * New upstream release
+
+ -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org> Wed, 8 Dec 2004 01:14:35 +0100
+
+ocamldap (1.6.1-2) unstable; urgency=low
+
+ * Rebuilt against ocamlnet 0.98
+ * debian/control
+ - changed Deps and Build-Deps accordingly
+
+ -- Stefano Zacchiroli <zack@debian.org> Thu, 9 Sep 2004 15:31:57 +0200
+
+ocamldap (1.6.1-1) unstable; urgency=low
+
+ * New upstream release
+ * Transition to ocaml 3.08. Files modified :
+ - control
+ - libldap-ocaml-dev.dirs
+ - rules
+
+ -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org> Wed, 28 Jul 2004 00:21:47 +0200
+
+ocamldap (1.4.6-1) unstable; urgency=low
+
+ * New upstream release
+
+ -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org> Mon, 10 May 2004 23:52:17 +0200
+
+ocamldap (1.4.4-1) unstable; urgency=low
+
+ * New upstream release
+
+ -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org> Wed, 17 Mar 2004 00:22:13 +0100
+
+ocamldap (1.4.3-1) unstable; urgency=low
+
+ * New upstream release
+
+ -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org> Mon, 23 Feb 2004 00:29:38 +0100
+
+ocamldap (1.4.1-1) unstable; urgency=low
+
+ * New upstream release
+ * Correction of the FTBFS with patch make_bytecode ( Closes: #231166 ).
+
+ -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org> Sun, 1 Feb 2004 21:00:15 +0100
+
+ocamldap (1.3.2-1) unstable; urgency=low
+
+ * New upstream version
+ * makefile_findlib patch applied upstream don't use anymore
+ * ocamldoc patch applied upstream don't user anymore
+ * Move to ocaml-3.07 depends ( and install dir )
+
+ -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org> Mon, 19 Jan 2004 21:41:25 +0100
+
+ocamldap (1.1.1-2) unstable; urgency=low
+
+ * Added a watch file
+
+ -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org> Thu, 8 Jan 2004 17:25:09 +0100
+
+ocamldap (1.1.1-1) unstable; urgency=low
+
+ * New upstream release
+ * Apply patches :
+ * makefile_findlib to install in the good temp directory
+ * Don't use debian/META anymore
+ * Don't use debian/patches/makefile, since now we use findlib to
+ install => add a dependency on ocaml-findlib
+
+ -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org> Sun, 21 Sep 2003 17:08:59 +0200
+
+ocamldap (1.1.0-1) unstable; urgency=low
+
+ * First package
+ * The name of the package in the archive will be libldap-ocaml
+ following the ocaml policy convention
+ * As it will be uploaded to unstable : closes: #203249
+ * Add a META file
+ * Apply patches :
+ * makefile to correct the makefile behavior when installing
+ * ocamldoc to generate a better doc for the module
+
+ -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org> Thu, 4 Sep 2003 00:05:07 +0200
--- ocamldap-2.1.8.orig/debian/compat
+++ ocamldap-2.1.8/debian/compat
@@ -0,0 +1 @@
+7
--- ocamldap-2.1.8.orig/debian/watch
+++ ocamldap-2.1.8/debian/watch
@@ -0,0 +1,2 @@
+version=3
+http://sf.net/ocamldap/ocamldap-([0-9\.]*).tar.bz2
--- ocamldap-2.1.8.orig/debian/control
+++ ocamldap-2.1.8/debian/control
@@ -0,0 +1,40 @@
+Source: ocamldap
+Section: ocaml
+Priority: optional
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Uploaders:
+ Sylvain Le Gall <gildor@debian.org>,
+ Mehdi Dogguy <mehdi@debian.org>
+Build-Depends: cdbs (>= 0.4.23-1.1),
+ debhelper (>= 7),
+ dpatch,
+ ocaml-nox (>= 3.10.0-9),
+ ocaml-findlib (>= 1.2.5),
+ libocamlnet-ocaml-dev (>= 2.2.9-7),
+ libssl-ocaml-dev (>= 0.4.3-3),
+ dh-ocaml (>= 0.9)
+Standards-Version: 3.8.3
+Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamldap.git
+Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamldap.git
+Homepage: http://sourceforge.net/projects/ocamldap/
+
+Package: libldap-ocaml-dev
+Architecture: any
+Depends:
+ ${ocaml:Depends},
+ ${shlibs:Depends},
+ libocamlnet-ocaml-dev (>= 2.2.8.1-1),
+ libssl-ocaml-dev (>= 0.4.2-3),
+ ${misc:Depends}
+Provides:
+ ${ocaml:Provides}
+Description: LDAP bindings for OCaml
+ It supports the core ldap-client functions, including search, add,
+ modify, and delete.
+ .
+ It has now an object oriented interface which supports the above
+ features, and some additional ones. Such as, nice data structures
+ for local ldap entries which record local modifications and can sync
+ them with the server, fewer arguments needed to perform simple
+ tasks, and an API modeled after Perl's Net::LDAP.
+
--- ocamldap-2.1.8.orig/debian/README.source
+++ ocamldap-2.1.8/debian/README.source
@@ -0,0 +1,5 @@
+This package use dpatch for patching the source.
+
+Please consider reading dpatch manpage to patch the source.
+
+ -- Sylvain Le Gall <gildor@debian.org> Sun, 22 Jun 2008 23:26:52 +0200
--- ocamldap-2.1.8.orig/debian/gbp.conf
+++ ocamldap-2.1.8/debian/gbp.conf
@@ -0,0 +1,2 @@
+[DEFAULT]
+pristine-tar = True
--- ocamldap-2.1.8.orig/debian/clean
+++ ocamldap-2.1.8/debian/clean
@@ -0,0 +1,3 @@
+varcc.cmo
+varcc.cmi
+varcc
--- ocamldap-2.1.8.orig/debian/rules
+++ ocamldap-2.1.8/debian/rules
@@ -0,0 +1,49 @@
+#!/usr/bin/make -f
+# debian/rules for ocamldap package
+# Copyright (C) 2006 Sylvain Le Gall <gildor@debian.org>
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2, or (at
+# your option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
+# MA 02110-1301, USA.
+
+
+include /usr/share/cdbs/1/rules/ocaml.mk
+include /usr/share/cdbs/1/rules/dpatch.mk
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/makefile.mk
+
+PACKAGE_DEV := libldap-ocaml-dev
+DESTDIR_DEV := $(CURDIR)/debian/$(PACKAGE_DEV)
+
+DEB_MAKE_CLEAN_TARGET := clean
+
+DEB_MAKE_BUILD_TARGET := all
+ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
+DEB_MAKE_BUILD_TARGET += opt
+endif
+
+DEB_MAKE_INSTALL_TARGET := install \
+ OCAMLFIND_INSTFLAGS="-ldconf ignore -destdir $(DESTDIR_DEV)/$(OCAML_STDLIB_DIR)"
+
+debian/protect-stamp:
+ -mv ldap_urlparser.cmi ldap_urlparser.cmi.old
+ -mv testoo.cmi testoo.cmi.old
+ touch $@
+
+pre-build:: debian/protect-stamp
+
+clean:: debian/protect-stamp
+ -mv ldap_urlparser.cmi.old ldap_urlparser.cmi
+ -mv testoo.cmi.old testoo.cmi
+ -$(RM) debian/protect-stamp
--- ocamldap-2.1.8.orig/debian/copyright
+++ ocamldap-2.1.8/debian/copyright
@@ -0,0 +1,30 @@
+Format-Specification: http://wiki.debian.org/Proposals/CopyrightFormat
+Upstream-Author: Eric Stokes
+ Matthew Backe
+ Miles Egan (initial upstream)
+Packaged-By: Sylvain Le Gall <gildor@debian.org>
+Packaged-Date: Wed, 04 Sep 2003 00:05:39 +0200
+Original-Source-Location: http://sourceforge.net/projects/ocamldap/
+
+Files: *
+Copyright: (C) 2004 Eric Stokes
+ (C) 2004 Matthew Backes
+ (C) 2004 The California State University at Northridge
+License: LGPL-2.1+
+
+ This library is free software; you can redistribute it and/or
+ modify it under the terms of the GNU Lesser General Public
+ License as published by the Free Software Foundation; either
+ version 2.1 of the License, or (at your option) any later version.
+
+ This library is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ Lesser General Public License for more details.
+
+ You should have received a copy of the GNU Lesser General Public License along
+ with this library; if not, write to the Free Software Foundation, Inc., 51
+ Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
+
+Ocamldap is distributed under the terms of the LGPL licence, which can be
+found in the /usr/share/common-licenses/LGPL file on debian systems.
--- ocamldap-2.1.8.orig/debian/libldap-ocaml-dev.examples
+++ ocamldap-2.1.8/debian/libldap-ocaml-dev.examples
@@ -0,0 +1,3 @@
+test.ml
+testoo.ml
+testldif.ml
--- ocamldap-2.1.8.orig/debian/libldap-ocaml-dev.dirs.in
+++ ocamldap-2.1.8/debian/libldap-ocaml-dev.dirs.in
@@ -0,0 +1,2 @@
+@OCamlStdlibDir@
+usr/share/doc/libldap-ocaml-dev/html/api/
--- ocamldap-2.1.8.orig/debian/libldap-ocaml-dev.ocamldoc
+++ ocamldap-2.1.8/debian/libldap-ocaml-dev.ocamldoc
@@ -0,0 +1 @@
+ -package ssl
--- ocamldap-2.1.8.orig/debian/patches/00list
+++ ocamldap-2.1.8/debian/patches/00list
@@ -0,0 +1,2 @@
+
+
--- ocamldap-2.1.8.orig/debian/patches/make_bytecode.dpatch
+++ ocamldap-2.1.8/debian/patches/make_bytecode.dpatch
@@ -0,0 +1,53 @@
+#!/bin/sh -e
+## make_bytecode.dpatch by Sylvain Le Gall <gildor@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -lt 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+ -patch) patch $patch_opts -p1 < $0;;
+ -unpatch) patch $patch_opts -p1 -R < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /mnt/nfs0/gildor/deb/ocaml-package/ocamldap/ocamldap-1.4.1/Makefile ocamldap-1.4.1/Makefile
+--- /mnt/nfs0/gildor/deb/ocaml-package/ocamldap/ocamldap-1.4.1/Makefile 2004-02-16 23:52:19.000000000 +0100
++++ ocamldap-1.4.1/Makefile 2004-02-16 23:56:54.000000000 +0100
+@@ -24,13 +24,22 @@
+ .c.o:
+ $(CAMLC) -ccopt "$(CFLAGS) $(PPDEFINES)" -c $<
+
+-all: ocamldap.cma ocamldap.cmxa testbc testopt testoo testoobc
++all-byte: ocamldap.cma testbc testoobc
++
++all-opt: all-byte ocamldap.cmxa testopt testoo
++
++all: all-opt
+
+ dep: ocamldap ocamldap.i
+
+-install: all
++install-byte: all-byte
++ ocamlfind install $(DESTDIR) ocamldap ocamldap.mli ocamldap.cmi ooldap.mli ooldif.mli ooldap.cmi ooldif.cmi ocamldap.cma libocamldap.a schemaparser.cmi META
++
++install-opt: all-opt
+ ocamlfind install $(DESTDIR) ocamldap ocamldap.mli ocamldap.cmi ooldap.mli ooldif.mli ooldap.cmi ooldif.cmi ocamldap.cma ocamldap.cmxa ocamldap.a libocamldap.a schemaparser.cmi META
+
++install: install-opt
++
+ # preprocess
+ ocamldap.i:
+ $(CPP) -traditional-cpp $(PPDEFINES) ocamldap.mli4 | grep -v "^\#.*" >ocamldap.mli
--- ocamldap-2.1.8.orig/debian/patches/makefile_findlib.dpatch
+++ ocamldap-2.1.8/debian/patches/makefile_findlib.dpatch
@@ -0,0 +1,37 @@
+#!/bin/sh -e
+## makefile_findlib.dpatch by Sylvain Le Gall <gildor@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+ -patch) patch $patch_opts -p1 < $0;;
+ -unpatch) patch $patch_opts -p1 -R < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /mnt/nfs0/gildor/deb/cvs-package/ocamldap/ocamldap/Makefile ocamldap/Makefile
+--- /mnt/nfs0/gildor/deb/cvs-package/ocamldap/ocamldap/Makefile 2003-09-13 09:24:48.000000000 +0200
++++ ocamldap/Makefile 2003-09-21 17:00:30.000000000 +0200
+@@ -25,7 +25,7 @@
+ dep: ocamldap ocamldap.i
+
+ install: all
+- ocamlfind install ocamldap ocamldap.mli ocamldap.cmi ooldap.mli ooldap.cmi ocamldap.cma ocamldap.cmxa ocamldap.a libocamldap.a META
++ ocamlfind install $(DESTDIR) ocamldap ocamldap.mli ocamldap.cmi ooldap.mli ooldap.cmi ocamldap.cma ocamldap.cmxa ocamldap.a libocamldap.a META
+
+ # preprocess
+ ocamldap.i:
--- ocamldap-2.1.8.orig/debian/patches/makefile.dpatch
+++ ocamldap-2.1.8/debian/patches/makefile.dpatch
@@ -0,0 +1,45 @@
+#!/bin/sh -e
+## makefile.dpatch by Sylvain Le Gall <gildor@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+ -patch) patch $patch_opts -p1 < $0;;
+ -unpatch) patch $patch_opts -p1 -R < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /mnt/nfs0/gildor/deb/cvs-package/ocamldap/ocamldap-1.1.0/Makefile ocamldap-1.1.0/Makefile
+--- /mnt/nfs0/gildor/deb/cvs-package/ocamldap/ocamldap-1.1.0/Makefile 2003-09-21 15:16:13.000000000 +0200
++++ ocamldap-1.1.0/Makefile 2003-09-21 15:16:21.000000000 +0200
+@@ -2,6 +2,7 @@
+ # vim:noet:
+
+ prefix?=/sw
++library_prefix?=${prefix}/lib/ocaml
+ CAMLC=ocamlc
+ CAMLOPT=ocamlopt
+ CAMLP4O=camlp4o
+@@ -27,7 +28,7 @@
+ dep: ocamldap ocamldap.i
+
+ install: all
+- install ocamldap.a ooldap.cmi ocamldap.cm[ia] ocamldap.cmxa ooldap.mli ocamldap.mli libocamldap.a ${prefix}/lib/ocaml
++ install -m 644 ocamldap.a ooldap.cmi ocamldap.cm[ia] ocamldap.cmxa ooldap.mli ocamldap.mli libocamldap.a ${library_prefix}
+
+ # preprocess
+ ocamldap.i:
--- ocamldap-2.1.8.orig/debian/patches/ocamldoc.dpatch
+++ ocamldap-2.1.8/debian/patches/ocamldoc.dpatch
@@ -0,0 +1,207 @@
+#!/bin/sh -e
+## ocamldoc.dpatch by Sylvain Le Gall <gildor@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+ -patch) patch $patch_opts -p1 < $0;;
+ -unpatch) patch $patch_opts -p1 -R < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /mnt/nfs0/gildor/deb/cvs-package/ocamldap/ocamldap-1.1.0/ocamldap.mli4 ocamldap-1.1.0/ocamldap.mli4
+--- /mnt/nfs0/gildor/deb/cvs-package/ocamldap/ocamldap-1.1.0/ocamldap.mli4 2003-09-21 16:18:45.000000000 +0200
++++ ocamldap-1.1.0/ocamldap.mli4 2003-09-21 16:21:31.000000000 +0200
+@@ -153,20 +153,22 @@
+ PUBLIC INTERFACE FUNCTIONS
+ *)
+
+-(* Adds a new entry to the ldap database. *)
++(** Direct access to LDAP function *)
++
++(** Adds a new entry to the ldap database. *)
+ val add_s : conn -> dn:string -> attr:modattr list -> unit
+
+-(* Binds to the ldap server with the given credential and auth_method. *)
++(** Binds to the ldap server with the given credential and auth_method. *)
+ val bind_s :
+ ?who:string -> ?cred:string -> ?auth_method:auth_method -> conn -> unit
+
+-(* Deletes the entry with the given dn from the database. *)
++(** Deletes the entry with the given dn from the database. *)
+ val delete_s : conn -> dn:string -> unit
+
+-(* Retrieves an error message for the given ldap error code. *)
++(** Retrieves an error message for the given ldap error code. *)
+ val err2string : error_code -> string
+
+-(* Initializes a connection to the given ldap server. The connection is
++(** Initializes a connection to the given ldap server. The connection is
+ * not actually established until one of the bind functions is called. *)
+ val init : ?version:int -> ?port:int -> string -> conn
+
+@@ -183,29 +185,29 @@
+ ifdef HAVE_KERBEROS then
+ val kerberos_bind2_s : conn -> who:string -> unit
+
+-(* Modifies the specified entry with the modifications supplied in 'mods'. *)
++(** Modifies the specified entry with the modifications supplied in 'mods'. *)
+ val modify_s : conn -> dn:string -> mods:modattr list -> unit
+
+-(* Renames the given entry to newdn. modrdn2 optionally deletes the old rdn.
+-modrdn always deletes the old rdn. *)
+-val modrdn_s : conn -> dn:string -> newdn:string -> unit
++(** Renames the given entry to newdn, modrdn always deletes the old rdn. *)
++val modrdn_s : conn -> dn:string -> newdn:string -> unit
++(** Same as modrdn but modrdn2 optionally deletes the old rdn. *)
+ val modrdn2_s :
+ conn -> dn:string -> newdn:string -> deleteoldrdn:bool -> unit
+
+-(* Prints the given entry in LDIF format to the specified channel. *)
++(** Prints the given entry in LDIF format to the specified channel. *)
+ val print_entry : ?channel:out_channel -> entry -> unit
+
+-(* Search for the given entry with the specified base node and search scope,
++(** Search for the given entry with the specified base node and search scope,
+ optionally limiting the returned attributes to those listed in 'attrs'. *)
+ val search_s :
+ ?base:string ->
+ ?scope:search_scope ->
+ ?attrs:string list -> ?attrsonly:bool -> conn -> string -> result
+
+-(* Bind using simple authentication. This is equivalent to calling bind_s
++(** Bind using simple authentication. This is equivalent to calling bind_s
+ with auth_method `SIMPLE *)
+ val simple_bind_s : ?who:string -> ?password:string -> conn -> unit
+
+-(* Releases the ldap connection and frees associated resources. The ldap
++(** Releases the ldap connection and frees associated resources. The ldap
+ connection should not be used after it has been unbound. *)
+ val unbind : conn -> unit
+diff -urNad /mnt/nfs0/gildor/deb/cvs-package/ocamldap/ocamldap-1.1.0/ooldap.mli ocamldap-1.1.0/ooldap.mli
+--- /mnt/nfs0/gildor/deb/cvs-package/ocamldap/ocamldap-1.1.0/ooldap.mli 2003-09-21 16:18:45.000000000 +0200
++++ ocamldap-1.1.0/ooldap.mli 2003-09-21 16:23:20.000000000 +0200
+@@ -1,87 +1,85 @@
+
+-(*
+- The object oriented interface to ocamldap
+-*)
++(** Object oriented interface to LDAP *)
+
+-(* just like modatts, but the mod_op is not needed *)
++(* Just like modatts, but the mod_op is not needed *)
+ type op = string * string list
+ type op_lst = op list
+ type changetype = ADD | DELETE | MODIFY | MODDN | MODRDN
+
+-(* an ldap entry, returned from a server *)
++(** An ldap entry, returned from a server *)
+ class ldapentry :
+ object
+- (* add attributes and objectclasses to an entry locally *)
++ (** Add attributes and objectclasses to an entry locally *)
+ method add : op_lst -> unit
+
+- (* delete attributes and objectclasses from an entry locally *)
++ (** Delete attributes and objectclasses from an entry locally *)
+ method delete : op_lst -> unit
+
+- (* replace attributes and objectclasses in an entry locally *)
++ (** Replace attributes and objectclasses in an entry locally *)
+ method replace : op_lst -> unit
+
+- (* get a list of attributes on the entry *)
++ (** Get a list of attributes on the entry *)
+ method attributes : string list
+
+- (* get a list of values for an entry *)
++ (** Get a list of values for an entry *)
+ method get_value : string -> string list
+
+- (* get a list of changes made to the entry locally in the
++ (** Get a list of changes made to the entry locally in the
+ form of a modattr list suitable for feeding directly to
+ modify_s *)
+ method changes : (Ocamldap.mod_op * string * string list) list
+
+- (* get the changetype. Controls whether or not local changes to the
++ (** Get the changetype. Controls whether or not local changes to the
+ entry are recorded or not. *)
+ method changetype : changetype
+
+- (* set the changetype. changetype MODIFY will record changes, all others
++ (** Set the changetype. changetype MODIFY will record changes, all others
+ will ignore them for now. This only applies to the changes list,
+ locally stored attributs will always be changed *)
+ method set_changetype : changetype -> unit
+
+- (* get rid of recorded changes. Note, this will not change the
++ (** Get rid of recorded changes. Note, this will not change the
+ the locally recorded value of any attributes on the entry, it
+ will only prevent changes from being propigated to the server when
+ passing this entry to update_entry *)
+ method flush_changes : unit
+
+- (* get the distinguished name of the entry *)
++ (** Get the distinguished name of the entry *)
+ method dn : string
+
+- (* set the destinguished name of the entry *)
++ (** Set the destinguished name of the entry *)
+ method set_dn : string -> unit
+
+- (* print the enty in a semi ldif like format (line breaks aren't correct yet) *)
++ (** Print the enty in a semi ldif like format (line breaks aren't correct yet) *)
+ method print : unit
+ end
+
+-(* a connection to an ldap server. *)
++(** A connection to an ldap server. *)
+ class ldapcon :
+ ?version:int ->
+ ?async:bool ->
+ ?port:int ->
+ string ->
+ object
+- (* add an entry to the server *)
++ (** Add an entry to the server *)
+ method add : ldapentry -> unit
+
+- (* bind to the server *)
++ (** Bind to the server *)
+ method bind :
+ ?cred:string -> ?meth:Ocamldap.auth_method -> string -> unit
+
+- (* delete an entry from the server *)
++ (** Delete an entry from the server *)
+ method delete : string -> unit
+
+- (* modify an entry in the server *)
++ (** Modify an entry in the server *)
+ method modify : string -> Ocamldap.modattr list -> unit
+
+- (* find entries, and return them as ldapentry objects *)
++ (** Find entries, and return them as ldapentry objects *)
+ method search :
+ ?scope:Ocamldap.search_scope ->
+ ?attrs:string list ->
+ ?attrsonly:bool -> ?base:string -> string -> ldapentry list
+
+- (* sync changes made locally with the server *)
++ (** Sync changes made locally with the server *)
+ method update_entry : ldapentry -> unit
+ end